#!/bin/bash
# this is an example script. Change the parameters according to your local setup
# in particular, 
# * change JAVA_APP_DIR to the directory containing your jar(s)
# * change MAIN_CLASS to the fqn of your main class
# * change WORKDIR to the directory where you want the android project to be created
export ANDROID_SDK=/opt/android-sdk
export PATH=$ANDROID_SDK/tools:$PATH
export CURRENT_DIR=`pwd`
export WORKDIR=/home/johan/work
export JAVA_APP_DIR=/home/johan/open-jfx/android-graphics-rt/apps/samples/Ensemble8/dist
export MAIN_CLASS=ensemble.EnsembleApp
/opt/gradle-1.4/bin/gradle --info createProject -PDEBUG -PDIR=$WORKDIR -PPACKAGE=org.javafxports -PNAME=HelloWorld -PANDROID_SDK=$ANDROID_SDK -PJFX_SDK=$CURRENT_DIR/.. -PJFX_APP=$JAVA_APP_DIR -PJFX_MAIN=$MAIN_CLASS
